﻿using Xamarin.Forms;

using Foundation;
using UIKit;

using TestProject.iOS;

[assembly: Dependency(typeof(Dialer))]
namespace TestProject.iOS
{
    /// <summary>
    /// 다이얼러
    /// </summary>
    public class Dialer : IDialer
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 전화 걸기 - Dial(phoneNumber)

        /// <summary>
        /// 전화 걸기
        /// </summary>
        /// <param name="phoneNumber">전화 번호</param>
        /// <returns>처리 결과</returns>
        public bool Dial(string phoneNumber)
        {
            return UIApplication.SharedApplication.OpenUrl(new NSUrl ("tel:" + phoneNumber));
        }

        #endregion
    }
}