﻿using Android.App;
using Android.Content.PM;
using Android.OS;

namespace TestProject.Droid
{
    /// <summary>
    /// 메인 액티비티
    /// </summary>
    [Activity(Label = "TestProject", Icon = "@drawable/icon", Theme = "@style/MainTheme", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
    public class MainActivity : global::Xamarin.Forms.Platform.Android.FormsAppCompatActivity
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Internal

        #region 인스턴스 - Instance

        /// <summary>
        /// 인스턴스
        /// </summary>
        internal static MainActivity Instance { get; private set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Protected

        #region 생성시 처리하기 - OnCreate(bundle)

        /// <summary>
        /// 생성시 처리하기
        /// </summary>
        /// <param name="bundle">번들</param>
        protected override void OnCreate(Bundle bundle)
        {
            TabLayoutResource = Resource.Layout.Tabbar;
            ToolbarResource   = Resource.Layout.Toolbar;

            base.OnCreate(bundle);

            Instance = this;

            global::Xamarin.Forms.Forms.Init(this, bundle);

            LoadApplication(new MainApplication());
        }

        #endregion
    }
}